import {
    WeaTools
} from 'ecCom'

export const getHasRight = (params) => {
    return WeaTools.callApi('/api/hrm/speciality/getHasRight', 'GET', params);
}

export const add = (params) => {
    return WeaTools.callApi('/api/hrm/speciality/add', 'POST', params);
}

export const edit = (params) => {
    return WeaTools.callApi('/api/hrm/speciality/edit', 'POST', params);
}

export const deleteRows = (params) => {
    return WeaTools.callApi('/api/hrm/speciality/delete', 'POST', params);
}

export const getSearchCondition = (params) => {
    return WeaTools.callApi('/api/hrm/speciality/getSearchCondition', 'GET', params);
}

export const getSearchList = (params) => {
    return WeaTools.callApi('/api/hrm/speciality/getSearchList', 'GET', params);
}

export const getNeForm = (params) => {
    return WeaTools.callApi('/api/hrm/speciality/getSpecialityForm?is_multilang_set=true', 'GET', params);
}

export const getImportForm = (params) => {
    return WeaTools.callApi('/api/hrm/speciality/getImportForm?is_multilang_set=true', 'GET', params);
}

export const saveImport = (params) => {
    return WeaTools.callApi('/api/hrm/speciality/saveImport', 'POST', params);
}

export const getImportResultDetail = (params) => {
    return WeaTools.callApi('/api/hrm/speciality/getImportRowResultLog', 'GET', params);
}

export const getImportHistory = (params) => {
    return WeaTools.callApi('/api/hrm/speciality/getImportHistory', 'GET', params);
}

export const getImportLogDetail = (params) => {
    return WeaTools.callApi('/api/hrm/speciality/getImportColResultLog', 'GET', params);
}

export const getImportLogSearchCondition = (params) => {
    return WeaTools.callApi('/api/hrm/speciality/getHistorySearchCondition', 'GET', params);
}